> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rankyak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Store external URL for an article



## OpenAPI

````yaml https://rankyak.com/api/v1/openapi.json post /articles/{article}/external-url
openapi: 3.0.0
info:
  title: RankYak API V1
  description: API specification for RankYak
  version: 1.0.0
servers:
  - url: https://rankyak.com/api/v1
    description: RankYak API V1
security:
  - X-Api-Key: []
tags:
  - name: Articles
    description: Articles
paths:
  /articles/{article}/external-url:
    post:
      tags:
        - Articles
      summary: Store external URL for an article
      operationId: f0be804c032b4416ea2a524f85f86385
      parameters:
        - name: article
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - external_url
              properties:
                external_url:
                  type: string
                  format: uri
                  example: https://example.com/posts/123
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArticleResource'
        '404':
          description: Not Found
        '422':
          description: Unprocessable Entity
components:
  schemas:
    ArticleResource:
      properties:
        id:
          type: integer
        slug:
          type: string
        excerpt:
          type: string
        title:
          type: string
        meta_title:
          type: string
        meta_description:
          type: string
        html:
          type: string
        markdown:
          type: string
        header_image_url:
          type: string
          format: uri
          nullable: true
        publish_at:
          type: string
          format: date-time
        published_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          description: Most recent content change (refresh or rewrite)
          type: string
          format: date-time
          nullable: true
      type: object
  securitySchemes:
    X-Api-Key:
      type: apiKey
      name: X-Api-Key
      in: header

````